Skip to main content
GET
/
api
/
account
/
{account_id}
/
strategy
cURL
curl --request GET \
  --url https://api.production.hyperoru.com/api/account/{account_id}/strategy \
  --header 'Authorization: Bearer <token>'
{
  "enabled": true,
  "exchange": "<string>",
  "scheduled_trigger_enabled": true,
  "trigger_interval": 123,
  "last_trigger_at": "<string>",
  "signal_pool_ids": [
    123
  ]
}

Authorizations

Authorization
string
header
required

Session token issued by POST /api/users/login, transported as Authorization: Bearer <token>.

Path Parameters

account_id
integer<int32>
required

Account ID

Response

Strategy config for account

enabled
boolean
required
exchange
string
required
scheduled_trigger_enabled
boolean
required
trigger_interval
integer<int32>
required
last_trigger_at
string | null
signal_pool_ids
integer<int32>[] | null